Subject: bug#48990: 28.0.50; buffer-local and threads malarkey

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Jun 2021 10:55:17 +0300

> From: dick <[email-masked]>
> Date: Sat, 12 Jun 2021 19:00:27 -0400
> 
> # all good
> src/emacs -Q --batch -l ./usurped.el
> 
> # buffer-local causes let-bound variable to freak out
> src/emacs -Q --batch --eval "(setq confuse-thread t)" -l ./usurped.el
> 
> # buffer-local causes basic setq to freak out
> src/emacs -Q --batch --eval "(setq confuse-main t)" -l ./usurped.el

Please show the results you see in the 2 problematic cases, and please
explain what did you expect instead and why.

FWIW, I don't necessarily see anything surprising in the results: you
basically let several threads step on each other's toes by modifying
the same variable with non-deterministic relative timings.  But maybe
I'm missing something, which is why I ask for details.

Or maybe Stefan could show me the light.